--- "SlevomatCodingStandard/Sniffs/Files/FilepathNamespaceExtractor.php.org"
+++ "SlevomatCodingStandard/Sniffs/Files/FilepathNamespaceExtractor.php"
@@ -53,7 +53,7 @@ class FilepathNamespaceExtractor
 		}

 		/** @var string[] $pathParts */
-		$pathParts = preg_split('~[/\\\]~', $path);
+		$pathParts = preg_split('~[/\\\]~', str_replace($this->getCurrentDir(), '', $path));
 		$rootNamespace = null;
 		while (count($pathParts) > 0) {
 			array_shift($pathParts);
@@ -85,4 +85,10 @@ class FilepathNamespaceExtractor
 		return substr($typeName, 0, -strlen('.' . $extension));
 	}

+	protected function getCurrentDir(): string
+	{
+		$dir = getcwd();
+
+		return $dir !== false ? $dir : '';
+	}
 }
